
<div id="bannerClient">
    <div class="col-sm">
      <h3>Informations du client</h3>
    </div>
</div>
<br/>
<br/>
<br/>
<div class="container">
    <form >
  
        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-user fa-lg"></i></div>
            </div>
            <input type="text" class="form-control" placeholder="{{selectedClient.nom}} {{selectedClient.prenom}}" disabled=true>
        </div>

        <br/>

        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-map-marker fa-lg"></i></div>
            </div>
            <input type="text" class="form-control" placeholder="{{selectedClient.adresse}}" disabled=true>
        </div>

        <br/>

        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-building-o fa-lg"></i></div>
            </div>
            <input type="text" class="form-control" placeholder="{{selectedClient.codePostal}} {{selectedClient.ville}}" disabled=true>
        </div>

        <br/>

        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-phone fa-lg"></i></div>
            </div>
            <input type="text" class="form-control" placeholder="{{selectedClient.numeroFixe}}" disabled=true>
        </div>

        <br/>

        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-mobile fa-lg" ></i></div>
            </div>
            <input type="text" class="form-control" placeholder="{{selectedClient.numeroPort}}" disabled=true>
        </div>

        <br/>
    
        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-envelope fa-lg"></i></div>
            </div>
            <input type="text" class="form-control" placeholder="{{selectedClient.email}} " disabled=true>
        </div>

        <br/>
        <button type="submit" class="btn btn-primary mb pull-right" (click)="updateFicheClient()">Mettre à jour</button>
    </form>
     
    <h3 id="commandesClients">Commandes du client</h3>
  
    <table datatable id="commandesclientDataTable" [dtTrigger]="dtTrigger" [dtOptions]="dtOptions" class="row-border hover">
        <thead>
            <tr>
                <th style="display:none;">Id</th>
                <th>Enregistrée le</th>
                <th>Expediée le</th>
                <th>Prix total</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let commande of commandes">
                <td style="display:none;">{{ commande.id }}</td>
                <td>{{ commande.dateCreation | date:'dd/MM/yyyy'}}</td>
                <td>{{ commande.dateExpedition | date:'dd/MM/yyyy'}}</td>
                <td>{{ commande.prix | number }} €</td>
            </tr>
        </tbody>
    </table>
</div>

